Bug 1120832 - [EARLY ACCESS] glusterpmd.log very chatty
Summary: [EARLY ACCESS] glusterpmd.log very chatty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-nagios-addons
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: RHGS 3.0.3
Assignee: Darshan
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 19:48 UTC by James Rankin
Modified: 2015-05-13 17:41 UTC (History)
13 users (show)

Fixed In Version: gluster-nagios-addons-0.1.12-1.el6rhs
Doc Type: Bug Fix
Doc Text:
Previously, when the value for the hostname_in_nagios parameter was not configured in the '/etc/nagios/nagios_server.conf' file, the corresonding log message that was recorded, was unclear. With this fix, a clear message is displayed.
Clone Of:
Environment:
Last Closed: 2015-01-15 13:49:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0039 normal SHIPPED_LIVE Red Hat Storage Console 3.0 enhancement and bug fix update #3 2015-01-15 18:46:40 UTC

Description James Rankin 2014-07-17 19:48:54 UTC
Description of problem in RHS 3.0 Early Access release:

I've noticed that the glusterpmd.log repeats the same message every minute, resulting in unnecessary log space utilization.

I'm not sure the meaning of this error, as my test install has the hostname configured, with DNS A and PTR records correct.


[root@rhs1 ~]# tail /var/log/glusterpmd.log
2014-07-17 14:26:53,439 - GlusterProcLog - WARNING - Hostname is not configured
2014-07-17 14:27:53,499 - GlusterProcLog - WARNING - Hostname is not configured
2014-07-17 14:28:53,559 - GlusterProcLog - WARNING - Hostname is not configured
2014-07-17 14:29:53,627 - GlusterProcLog - WARNING - Hostname is not configured
2014-07-17 14:30:53,684 - GlusterProcLog - WARNING - Hostname is not configured
2014-07-17 14:31:53,743 - GlusterProcLog - WARNING - Hostname is not configured
2014-07-17 14:32:53,803 - GlusterProcLog - WARNING - Hostname is not configured
2014-07-17 14:33:53,864 - GlusterProcLog - WARNING - Hostname is not configured
2014-07-17 14:34:53,924 - GlusterProcLog - WARNING - Hostname is not configured
2014-07-17 14:35:53,977 - GlusterProcLog - WARNING - Hostname is not configured

[root@rhs1 ~]# hostname
rhs1.demo.local

Comment 2 Kanagaraj 2014-07-18 05:57:07 UTC
This error is thrown because 'hostname_in_nagios' is not filled in '/etc/nagios/nagios_server.conf' file. 

This will be populated automatically once discovery.py completed successfully.

Comment 3 Timothy Asir 2014-07-18 07:17:17 UTC
Also this will consume more space, it has log rotate implemented already.

Comment 4 SATHEESARAN 2014-07-18 07:22:02 UTC
(In reply to Kanagaraj from comment #2)
> This error is thrown because 'hostname_in_nagios' is not filled in
> '/etc/nagios/nagios_server.conf' file. 
> 
> This will be populated automatically once discovery.py completed
> successfully.

This log could be more meaningful.
"Hostname not configured" creates a confusion as though the local hostname is not configured kind of sense. 

It would be better, if log says as, 'hostname_in_nagios' is not configured in '/etc/nagios/nagios_server.conf'

Comment 5 Dusmant 2014-07-24 07:48:04 UTC
Lets fix it as suggested by Satheesaran.

Comment 7 Darshan 2014-10-10 09:50:48 UTC
Modified the log message to "'hostname_in_nagios' is not configured in '/etc/nagios/nagios_server.conf'" as suggested by Satheesaran.

Fix link: http://review.gluster.org/#/c/8920/

Comment 8 RamaKasturi 2014-11-12 11:51:23 UTC
Verified and works fine with build gluster-nagios-addons-0.1.12-1.el6rhs.x86_64.

When glusterpmd is started and discovery.py is not run on RHS nodes, the following would be logged in /var/log/glusterpmd.log. 

2014-11-12 16:50:16,558 - GlusterProcLog - WARNING - 'hostname_in_nagios' is not configured in /etc/nagios/nagios_server.conf


User will be able to see this issue when he adds RHS nodes to Console and enable external monitoring and not running discovery.py script.

This issue will not be seen during upgrades.

Comment 9 RamaKasturi 2014-11-12 12:00:27 UTC
please ignore comment 8.

Please Read as below :

Verified and works fine with build gluster-nagios-addons-0.1.12-1.el6rhs.x86_64.

When glusterpmd is started and discovery.py is not run on RHS nodes, the following would be logged in /var/log/glusterpmd.log. 

2014-11-12 16:50:16,558 - GlusterProcLog - WARNING - 'hostname_in_nagios' is not configured in /etc/nagios/nagios_server.conf


If discovery.py is not run, User will be able to see the issue when he adds RHS nodes to Console and enable external monitoring.

Comment 10 Pavithra 2014-12-24 09:00:02 UTC
Hi Darshan,

Can you please review the edited doc text for technical accuracy and sign off?

Comment 11 Darshan 2014-12-24 09:03:04 UTC
Looks good.

Comment 13 errata-xmlrpc 2015-01-15 13:49:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0039.html


Note You need to log in before you can comment on or make changes to this bug.